package top.qaqaq.dao;

import top.qaqaq.pojo.OrderItem;

import java.util.List;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 4:17
 */
public interface OrderItemDao {

    /**
     * 保存订单项
     * @param orderItem
     * @return
     */
    public int saveOrderItem(OrderItem orderItem);

    /**
     * 根据订单号查询订单明细
     * @param orderId
     * @return
     */
    public List<OrderItem> queryOrderItemByOrderId(String orderId);


}
