package top.qaqaq.dao.impl;

import top.qaqaq.dao.OrderItemDao;
import top.qaqaq.pojo.OrderItem;

import java.util.List;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 4:23
 */
public class OrderItemDaoImpl extends BaseDao implements OrderItemDao {

    @Override
    public int saveOrderItem(OrderItem orderItem) {

        String sql = "insert into t_order_item(name,count,price,total_price,order_id) values(?,?,?,?,?)";

        return update(sql,orderItem.getName(),orderItem.getCount(),orderItem.getPrice(),orderItem.getTotalPrice(),orderItem.getOrderId());
    }

    @Override
    public List<OrderItem> queryOrderItemByOrderId(String orderId) {

        String sql = "select id,name,count,price,total_price totalPrice,order_id orderId from t_order_item where order_id = ?";

        return queryForList(OrderItem.class,sql,orderId);
    }
}
