package top.qaqaq.service;

import top.qaqaq.pojo.User;

/**
 * @author RichieZhang
 * @create 2022-12-06 下午 4:58
 */
public interface UserService {

    /**
     * 注册用户
     * @param user
     */
    public void registUser(User user);

    /**
     * 登陆
     * @param user
     * @return  如果返回null，说明登录失败，返回有值，是登录成功
     */
    public User login(User user);

    /**
     * 检查 用户名是否可用
     * @param username
     * @return  返回true表示用户名已存在，返回false表示用户名可用
     */
    public boolean existsUsername(String username);
}
