package top.qaqaq.test;

import org.junit.Test;
import top.qaqaq.dao.UserDao;
import top.qaqaq.dao.impl.UserDaoImpl;
import top.qaqaq.pojo.User;

import static org.junit.Assert.*;

/**
 * @author RichieZhang
 * @create 2022-12-06 下午 3:31
 */
public class UserDaoTest {

    UserDao userDao = new UserDaoImpl();

    @Test
    public void queryUserByUsername() {
        System.out.println(userDao.queryUserByUsername("admin"));

        if (userDao.queryUserByUsername("admin1234") == null){
            System.out.println("用户名可用！");
        } else {
            System.out.println("用户名已存在！");
        }
    }

    @Test
    public void queryUserByUsernameAndPassword() {
        System.out.println(userDao.queryUserByUsernameAndPassword("admin","admin"));

        if (userDao.queryUserByUsernameAndPassword("admin","admin1234") == null){
            System.out.println("用户名或密码错误，登陆失败");
        } else {
            System.out.println("查询成功");
        }
    }

    @Test
    public void saveUser() {
        System.out.println(userDao.saveUser(new User(null,"qaqaq","123456","123456@qq.com")));

    }
}