package top.qaqaq.test;

import org.junit.Test;
import top.qaqaq.dao.OrderDao;
import top.qaqaq.dao.impl.OrderDaoImpl;
import top.qaqaq.pojo.Order;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 4:28
 */
public class OrderDaoTest {

    OrderDao orderDao = new OrderDaoImpl();

    @Test
    public void saveOrder() {
        orderDao.saveOrder(new Order("1234567890", LocalDateTime.now(),new BigDecimal(100),0,1));
    }

    @Test
    public void queryOrders() {
        orderDao.queryOrders().forEach(System.out::println);
    }

    @Test
    public void changeOrderStatus() {
        orderDao.changeOrderStatus("16710197520391",0);
    }

    @Test
    public void queryOrdersByUserId() {
        orderDao.queryOrdersByUserId(1).forEach(System.out::println);
    }
}