package top.qaqaq.test;

import org.junit.Test;
import top.qaqaq.dao.OrderItemDao;
import top.qaqaq.dao.impl.OrderItemDaoImpl;
import top.qaqaq.pojo.OrderItem;

import java.math.BigDecimal;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 5:31
 */
public class OrderItemDaoTest {

    OrderItemDao orderItemDao = new OrderItemDaoImpl();

    @Test
    public void saveOrderItem() {

        orderItemDao.saveOrderItem(new OrderItem(null,"java从入门到精通",1,new BigDecimal(100),new BigDecimal(100),"1234567890"));
        orderItemDao.saveOrderItem(new OrderItem(null,"javaScript从入门到精通",2,new BigDecimal(100),new BigDecimal(200),"1234567890"));
        orderItemDao.saveOrderItem(new OrderItem(null,"Netty入门",1,new BigDecimal(100),new BigDecimal(100),"1234567890"));

    }

    @Test
    public void queryOrderItemByOrderId() {
        orderItemDao.queryOrderItemByOrderId("16710197520391").forEach(System.out::println);
    }
}